Feature request:  Winamp skin scaling

August 30, 2018 20:01 - Lukas Sabota

Status: Rejected Start date: August 30, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

When using a HiDPI display, its difficult to view the old Winamp classic skins.  These skins are however still desired and I'm use a lot

of users use them.  It would be great to be able to scale the size of the UI on the old winamp skins.  I remember winamp actually

having a "Double UI" option.  Double UI would be great - but if there would be a way to do other scaling factors that would be great

as well

History

#1 - August 30, 2018 20:03 - Lukas Sabota

Well I am happy to see there is a "Double size" option in audacious.  Looks like I missed that previously!! Doh!

While this is open - I do think it would be nice to have some fractional scale options if they are do-able (1x, 1.5x, 2x, etc).  I may take a look into the

complexity of this and report back

Keep this open unless you are aware that fractional scaling is a huge PITA

#2 - August 30, 2018 22:40 - Lukas Sabota

I thought about this more and I'm not sure how fractional scaling would work.. But 3x and 4x could be useful in HiDPI situations

#3 - August 31, 2018 17:24 - John Lindgren

The WinAmp skin scaling should already adjust for high-DPI screens.  For example, over 192 DPI, 2x is the "normal" scaling and "double size" will

increase it to 3x instead.

What is your DPI setting?  Run "xrdb -query" to find out if you're not sure.

#4 - September 04, 2018 18:34 - Lukas Sabota

Thanks for the info John Lindgren.  Looks like I was having some UI issues with my PC with the 4K monitor.

This can safely be closed; thanks and sorry for the noise

#5 - September 05, 2018 03:37 - John Lindgren

- Status changed from New to Rejected

All right, glad to hear you found a solution.  Closing.
